Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.optional.pipeline.components.sax.betwixt
Class BetwixtBeanGenerator

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXGenerator
                      org.apache.cocoon.optional.pipeline.components.sax.betwixt.BetwixtBeanGenerator

All Implemented Interfaces:
  PipelineComponent, Producer, Starter, SAXPipelineComponent, SAXProducer

    public final class BetwixtBeanGenerator

extends AbstractSAXGenerator

Constructor Summary
`BetwixtBeanGenerator(Object bean)`
`BetwixtBeanGenerator(Object bean, BindingConfiguration bindingConfiguration, XMLIntrospector xmlIntrospector)`

Method Summary
`void` | `execute()`
`protected void` | `setSAXConsumer(SAXConsumer xmlConsumer)`
`String` | `toString()`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setConfiguration, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration, setup`

Constructor Detail

### BetwixtBeanGenerator

    public BetwixtBeanGenerator(Object bean)

### BetwixtBeanGenerator

    public BetwixtBeanGenerator(Object bean,
                                BindingConfiguration bindingConfiguration,
                                XMLIntrospector xmlIntrospector)

Method Detail

### setSAXConsumer

    protected void setSAXConsumer(SAXConsumer xmlConsumer)

  Overrides:
    `setSAXConsumer` in class `AbstractSAXProducer`

### execute

    public void execute()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractSAXProducer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.